<?

/*

 	Webmedia Explorer 5.0 - Multimedia Management System
 	Copyright (C) 2007 Marc Salmurri (marc.salmurri@gmail.com)

 	This program is free software; you can redistribute it and/or modify
 	it under the terms of the GNU General Public License as published by
 	the Free Software Foundation; either version 2 of the License, or (at
 	your option) any later version.

 	This program is distributed in the hope that it will be useful, but
 	WITHOUT ANY WARRANTY; without even the implied warranty of
 	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 	General Public License for more details.

 	You should have received a copy of the GNU General Public License
 	along with this program; if not, write to the Free Software
 	Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA  02110-1301, USA.

*/

	// if you change the $url_path_base variable, delete the .htaccess file and let wme create it again

	$url_path_base	= "/wme/";

	$url_base		= $url_path_base;

	$url_index		= $url_path_base."index.php";

	$url_image 		= $url_path_base."image/";

	$url_thumbs		= $url_path_base."thumbs/";

	$path_include	= "includes/";

	$path_template 	= "templates/";

	$path_cache 	= "cache/";

	$path_style 	= "css/";

	$path_images 	= "image/";

	$path_thumbs 	= "thumbs/";

	$path_tmp		= "tmp/";

	$path_data 		= "data/";

	$home 			= "media";

	// ---------------------------------------

	$languages[0]["name"]	= "Catal";
	$languages[0]["file"]	= "catalan";

	$languages[1]["name"]	= "Castellano";
	$languages[1]["file"]	= "castilian";

	$languages[2]["name"]	= "English";
	$languages[2]["file"]	= "english";

	$languages[3]["name"]	= "Franais";
	$languages[3]["file"]	= "french";
	
	$languages[4]["name"]	= "Nederlands";
	$languages[4]["file"]	= "dutch";

	$languages[5]["name"]	= "Svensk";
	$languages[5]["file"]	= "swedish";
	
	// ---------------------------------------
	
	$backgrounds[0]			= "Color";
	$backgrounds[1]			= "Image";
	$backgrounds[2]			= "Pattern 0";
	$backgrounds[3]			= "Pattern 1";
	$backgrounds[4]			= "Pattern 2";
	$backgrounds[5]			= "Pattern 3";
	$backgrounds[6]			= "Pattern 4";

	// ---------------------------------------
	
	$page_nav_templates_static["prev_page_block"] 		= "prev_page_block_static.tpl.php";
	$page_nav_templates_static["prev_page"] 			= "prev_page_static.tpl.php";
	$page_nav_templates_static["current_page"]			= "current_page_static.tpl.php";
	$page_nav_templates_static["middle_page"] 			= "middle_page_static.tpl.php";
	$page_nav_templates_static["next_page"] 			= "next_page_static.tpl.php";
	$page_nav_templates_static["next_page_block"] 		= "next_page_block_static.tpl.php";
	
	$page_nav_templates_dynamic["prev_page_block"] 		= "prev_page_block_dynamic.tpl.php";
	$page_nav_templates_dynamic["prev_page"] 			= "prev_page_dynamic.tpl.php";
	$page_nav_templates_dynamic["current_page"]			= "current_page_dynamic.tpl.php";
	$page_nav_templates_dynamic["middle_page"] 			= "middle_page_dynamic.tpl.php";
	$page_nav_templates_dynamic["next_page"] 			= "next_page_dynamic.tpl.php";
	$page_nav_templates_dynamic["next_page_block"] 		= "next_page_block_dynamic.tpl.php";

	// ---------------------------------------
	
	$image_templates["left"]					= "readme_image_left.tpl.php";
	$image_templates["right"]					= "readme_image_right.tpl.php";
	$image_templates["center"]					= "readme_image_center.tpl.php";
	
	// ---------------------------------------

	$media["mp3"]["icon"]		= $url_image."mp3.gif";
	$media["wav"]["icon"]		= $url_image."wav.gif";
	$media["wmv"]["icon"]		= $url_image."wav.gif";
	$media["wma"]["icon"]		= $url_image."wav.gif";
	$media["mpeg"]["icon"]		= $url_image."mpg.gif";
	$media["mpg"]["icon"]		= $url_image."mpg.gif";
	$media["mpe"]["icon"]		= $url_image."mpg.gif";
	$media["asf"]["icon"]		= $url_image."mpg.gif";
	$media["avi"]["icon"]		= $url_image."avi.gif";
	$media["mov"]["icon"]		= $url_image."video.gif";
	$media["divx"]["icon"]		= $url_image."video.gif";
	$media["doc"]["icon"]		= $url_image."doc.gif";	
	$media["ppt"]["icon"]		= $url_image."doc.gif";
	$media["pps"]["icon"]		= $url_image."doc.gif";
	$media["pdf"]["icon"]		= $url_image."pdf.gif";
	$media["xls"]["icon"]		= $url_image."xls.gif";
	$media["exe"]["icon"]		= $url_image."exe.gif";
	$media["txt"]["icon"]		= $url_image."txt.gif";
	$media["zip"]["icon"]		= $url_image."zip.gif";
	$media["7z"]["icon"]		= $url_image."zip.gif";
	$media["tar"]["icon"]		= $url_image."rar.gif";
	$media["rar"]["icon"]		= $url_image."rar.gif";
	$media["gz"]["icon"]		= $url_image."zip.gif";
	$media["info"]["icon"]		= $url_image."info.gif";
	$media["mid"]["icon"]		= $url_image."mid.gif";

	$media["m3u"]["icon"]		= $url_image."mp3.gif";

	$icons["blank"] 			= $url_image."blank.gif";

	$icons["big_folder"] 		= $url_image."big_gn_directory.gif";

	$icons["folder"] 			= $url_image."dossier.gif";
	
	// ---------------------------------------

	$allowed_image_extensions 	= array ( "jpg", "jpeg", "gif", "png" );

	$cover_files 				= array ( "cover.jpg", "cover.gif", "cover.jpeg", "cover.png" );

	$header_files 				= array ( "header.jpg", "header.gif", "header.jpeg" );

	// ---------------------------------------
	
	$quote_file 				= "quote.txt";		// global
	$bookmark_file 				= "bookmark.txt";
	$desc_file					= "desc.txt";
	$tags_file					= "tags.txt";
	$readme_file 				= "readme.txt";
	$config_file				= "config.txt";
	$rss_file					= "rss.txt";
	$comment_file				= "comment.txt";
	$time_file					= "time.txt";
	$lock_file					= "lock.tmp";
	$tmp_file					= "tmp.tmp";
	
	// ---------------------------------------

	$message_file				= "^msg_([0-9]+)_([0-9]+).txt";		// don't change
	$post_file					= "^post_[0-9]+";					// don't change

	// ---------------------------------------
	
	$color["ini"]				= 92 - 8;
	$color["end"]				= 164 - 8;
	$color["grad"] 				= 32;

	$color_saturation			= 0.75;
	
	// ---------------------------------------

	$default_num_thumbnails			= 8;
	$default_num_cols				= 4;
	$default_num_cols_images		= 6;
	$default_edit_num_thumbnails 	= 8;
	$default_edit_num_cols 			= 4;
	$default_width 					= 800;
	$default_sidebar				= "right";
	$default_fontsize 				= 12;
	$default_view 					= 2;
	$default_language				= 0;
	$default_background				= 0;
	$default_root_color				= "947494";

	$mini_icons					= false;

	$alpha_limit				= 25;

	$dir_stack_num				= 25;

	$max_thumbnails				= 150;

	$num_posts					= 10;
	
	$num_last_posts				= 10;

	$fade_msecs					= 500;

	$num_tag_cloud				= 75;

	$shuffle_cloud				= false;

	$thumb_quality				= -1;				// If you change this, it's good to erase your thumbs folder in order not to mix diferent quality thumnails.

	$message_body_length		= 1024;

	$valid 						= array ( "width", "sidebar", "fontsize", "timeout", "num" );

	$valid["width"] 			= array ( 800, 1024, 1280 );
	$valid["sidebar"] 			= array ( "none", "left", "right" );
	$valid["fontsize"] 			= array ( 11, 12, 13 );
	$valid["timeout"] 			= array ( 0, 2, 3, 5, 10, 30 );
	$valid["num"] 				= array ( 10, 25, 50 );

	$max_cols 					= array ( "800" => 8, "1024" => 8, "1280" => 8 );

	$margin						= 30;
	
	$side 						= array ( "800" => 800 * 0.3 - $margin, "1024" => 1024 * 0.27 - $margin, "1280" => 1280 * 0.25 - $margin );

	// ---------------------------------------

	$webname 					= "Webmedia eXplorer.com";
	$noreplay_from	 			= "noreply@webmediaexplorer.com";
	$weburl 					= "http://www.webmediaexplorer.com";
	$foot_message				= "Powered by <a href=\"http://www.webmediaexplorer.com\">webmedia explorer 5.0.9 </a> Copyright (C) 2009 Marc Salmurri (<a href=\"mailto:marc.salmurri@gmail.com\">marc.salmurri@gmail.com</a>)";

	// ---------------------------------------

	$no_render_cache			= false;

?>