<?

/*

 	Webmedia Explorer 4.0 - Multimedia Management System
 	Copyright (C) 2007 Marc Salmurri (marc.salmurri@gmail.com)

 	This program is free software; you can redistribute it and/or modify
 	it under the terms of the GNU General Public License as published by
 	the Free Software Foundation; either version 2 of the License, or (at
 	your option) any later version.

 	This program is distributed in the hope that it will be useful, but
 	WITHOUT ANY WARRANTY; without even the implied warranty of
 	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 	General Public License for more details.

 	You should have received a copy of the GNU General Public License
 	along with this program; if not, write to the Free Software
 	Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA  02110-1301, USA.

*/

	function create_artwork ()
	{
		$dir = $GLOBALS["path_thumbs"];
		
		if ( !is_dir ( $dir ) )
		{
			mkdir ( $dir, 0775 );

			chmod ( $dir, 0775 );
		}

		$root_color = $GLOBALS["root_color"];

		$clearest 	= "#ffffff";

		$dark 		= add_hex_rgb ( $root_color, array ( "r" => -28, "g" => -28, "b" => -28 ) );

		$deep_dark	= add_hex_rgb ( $root_color, array ( "r" => -64, "g" => -64, "b" => -64 ) );

		$rgb 		= hex2rgb ( $root_color );

		// ------------------------------------------------------------------

		$rgb 		= hex2rgb ( $clearest );
		
		$background = $GLOBALS["path_thumbs"].str_replace ( "#", "dot_", $root_color ).".jpg";

		if ( file_exists ( $background ) ) return $background;

		/*
			X--
		*/

		$distance = 0;

		$r = $rgb["r"]; $g = $rgb["g"]; $b = $rgb["b"];

		$dst_img = ImageCreateTrueColor ( 3, 1 );

		$color = ImageColorAllocate ( $dst_img, $r, $g, $b );

		imagefilledrectangle ( $dst_img, 0, 0, 3, 1, $color );

		$rgb 		= hex2rgb ( $root_color );
		
		$r = $rgb["r"]; $g = $rgb["g"]; $b = $rgb["b"];

		$r_dark = ( $r > $distance ) ? $r - $distance : 0;

		$g_dark = ( $g > $distance ) ? $g - $distance : 0;

		$b_dark = ( $b > $distance ) ? $b - $distance : 0;

		$color = ImageColorAllocate ( $dst_img, $r_dark, $g_dark, $b_dark );

		imagefilledrectangle ( $dst_img, 0, 0, 0, 0, $color );

		ImagePng ( $dst_img, $background );

		chmod ( $background, 0775 );

		$rgb 		= hex2rgb ( $root_color );
		
		// ------------------------------------------------------------------
		
		$background = $GLOBALS["path_thumbs"].str_replace ( "#", "2_", $root_color ).".jpg";

		/*
			XX--
			XX--
			----
			--XX
			--XX
			----
		*/

		$distance = 8;

		$r = $rgb["r"] + 52; $g = $rgb["g"] + 52; $b = $rgb["b"] + 52;

		$dst_img = ImageCreateTrueColor ( 4, 6 );

		$color = ImageColorAllocate ( $dst_img, $r, $g, $b );

		imagefilledrectangle ( $dst_img, 0, 0, 4, 6, $color );

		$r_dark = ( $r > $distance ) ? $r - $distance : 0;
		
		$g_dark = ( $g > $distance ) ? $g - $distance : 0;
		
		$b_dark = ( $b > $distance ) ? $b - $distance : 0;

		$color = ImageColorAllocate ( $dst_img, $r_dark, $g_dark, $b_dark );

		imagefilledrectangle ( $dst_img, 0, 0, 1, 1, $color );
		
		imagefilledrectangle ( $dst_img, 2, 3, 4, 4, $color );

		ImagePng ( $dst_img, $background );

		chmod ( $background, 0775 );
		
		/*
			XXX---
			XXX---
			XXX---
			---XXX
			---XXX
			---XXX
		*/

		$background = $GLOBALS["path_thumbs"].str_replace ( "#", "3_", $root_color ).".jpg";

		$distance = 8;

		$r = $rgb["r"] + 52; $g = $rgb["g"] + 52; $b = $rgb["b"] + 52;

		$dst_img = ImageCreateTrueColor ( 6, 6 );

		$color = ImageColorAllocate ( $dst_img, $r, $g, $b );

		imagefilledrectangle ( $dst_img, 0, 0, 6, 6, $color );

		$r_dark = ( $r > $distance ) ? $r - $distance : 0;

		$g_dark = ( $g > $distance ) ? $g - $distance : 0;

		$b_dark = ( $b > $distance ) ? $b - $distance : 0;

		$color = ImageColorAllocate ( $dst_img, $r_dark, $g_dark, $b_dark );

		imagefilledrectangle ( $dst_img, 0, 0, 2, 2, $color );

		imagefilledrectangle ( $dst_img, 3, 3, 6, 6, $color );

		ImagePng ( $dst_img, $background );

		chmod ( $background, 0775 );

		/*
			---X
			--X-
			-X--
			X---
		*/

		$background = $GLOBALS["path_thumbs"].str_replace ( "#", "4_", $root_color ).".jpg";

		$distance = 32;

		$r = $rgb["r"] + 52; $g = $rgb["g"] + 52; $b = $rgb["b"] + 52;

		$dst_img = ImageCreateTrueColor ( 4, 4 );

		$color = ImageColorAllocate ( $dst_img, $r, $g, $b );

		imagefilledrectangle ( $dst_img, 0, 0, 4, 4, $color );

		$r_dark = ( $r > $distance ) ? $r - $distance : 0;

		$g_dark = ( $g > $distance ) ? $g - $distance : 0;

		$b_dark = ( $b > $distance ) ? $b - $distance : 0;

		$color = ImageColorAllocate ( $dst_img, $r_dark, $g_dark, $b_dark );

		imagefilledrectangle ( $dst_img, 3, 0, 3, 0, $color );

		imagefilledrectangle ( $dst_img, 2, 1, 2, 1, $color );
		
		imagefilledrectangle ( $dst_img, 1, 2, 1, 2, $color );
		
		imagefilledrectangle ( $dst_img, 0, 3, 0, 3, $color );
		
		ImagePng ( $dst_img, $background );
		
		chmod ( $background, 0775 );

		/*
			X
			-
		*/
		
		$background = $GLOBALS["path_thumbs"].str_replace ( "#", "5_", $root_color ).".jpg";

		$distance = 24;

		$r = $rgb["r"] + 60; $g = $rgb["g"] + 60; $b = $rgb["b"] + 60;

		$dst_img = ImageCreateTrueColor ( 1, 2 );

		$color = ImageColorAllocate ( $dst_img, $r, $g, $b );

		imagefilledrectangle ( $dst_img, 0, 0, 1, 2, $color );

		$r_dark = ( $r > $distance ) ? $r - $distance : 0;

		$g_dark = ( $g > $distance ) ? $g - $distance : 0;

		$b_dark = ( $b > $distance ) ? $b - $distance : 0;

		$color = ImageColorAllocate ( $dst_img, $r_dark, $g_dark, $b_dark );

		imagefilledrectangle ( $dst_img, 0, 0, 0, 0, $color );

		ImagePng ( $dst_img, $background );

		chmod ( $background, 0775 );
		
		/*
			X-
		*/
		
		$background = $GLOBALS["path_thumbs"].str_replace ( "#", "6_", $root_color ).".jpg";

		$distance = 24;

		$r = $rgb["r"] + 60; $g = $rgb["g"] + 60; $b = $rgb["b"] + 60;

		$dst_img = ImageCreateTrueColor ( 2, 1 );

		$color = ImageColorAllocate ( $dst_img, $r, $g, $b );

		imagefilledrectangle ( $dst_img, 0, 0, 2, 1, $color );

		$r_dark = ( $r > $distance ) ? $r - $distance : 0;

		$g_dark = ( $g > $distance ) ? $g - $distance : 0;

		$b_dark = ( $b > $distance ) ? $b - $distance : 0;

		$color = ImageColorAllocate ( $dst_img, $r_dark, $g_dark, $b_dark );

		imagefilledrectangle ( $dst_img, 0, 0, 0, 0, $color );

		ImagePng ( $dst_img, $background );

		chmod ( $background, 0775 );

		// ------------------------------------------------------------------
		
		$background = $GLOBALS["path_thumbs"].str_replace ( "#", "up_", $root_color ).".jpg";

		$distance = 64;
		
		$height = 32;

		$r = $rgb["r"]; $g = $rgb["g"]; $b = $rgb["b"];

		$r = ( $r > $distance ) ? $r - $distance : 0;

		$g = ( $g > $distance ) ? $g - $distance : 0;

		$b = ( $b > $distance ) ? $b - $distance : 0;

		$up_img = ImageCreateTrueColor ( 1, $height );
		
		$down_img = ImageCreateTrueColor ( 1, $height );

		$grad = $distance / ( $height + 12 );

		for ( $i = 0; $i < $height; $i++ )
		{
			$r += $grad;

			$g += $grad;

			$b += $grad;

			$color = ImageColorAllocate ( $dst_img, $r, $g, $b );

			imagefilledrectangle ( $up_img, 0, $i, 0, $i, $color );
			
			imagefilledrectangle ( $down_img, 0, $height - $i - 1, 0, $height - $i - 1, $color );
		}

		ImagePng ( $up_img, $background );

		chmod ( $background, 0775 );
		
		$background = $GLOBALS["path_thumbs"].str_replace ( "#", "down_", $root_color ).".jpg";
		
		ImagePng ( $down_img, $background );

		chmod ( $background, 0775 );

		// ------------------------------------------------------------------
		
		$background = $GLOBALS["path_thumbs"].str_replace ( "#", "block_up_", $root_color ).".jpg";

		$height = 32;

		$up_img = ImageCreateTrueColor ( 1, $height );
		
		$down_img = ImageCreateTrueColor ( 1, $height );
		
		$r = $rgb["r"] - 60; $g = $rgb["g"] - 60; $b = $rgb["b"] - 60;

		if ( $r < 0 ) $r = 0;

		if ( $g < 0 ) $g = 0;

		if ( $b < 0 ) $b = 0;

		$color_dark = ImageColorAllocate ( $dst_img, $r, $g, $b );
		
		$r = $rgb["r"] - 48; $g = $rgb["g"] - 48; $b = $rgb["b"] - 48;

		if ( $r < 0 ) $r = 0;

		if ( $g < 0 ) $g = 0;

		if ( $b < 0 ) $b = 0;

		$color_clear = ImageColorAllocate ( $dst_img, $r, $g, $b );
		
		imagefilledrectangle ( $up_img, 0, 0, 0, 16, $color_clear );
			
		imagefilledrectangle ( $up_img, 0, 16, 0, 31, $color_dark );
		
		imagefilledrectangle ( $down_img, 0, 0, 0, 16, $color_dark );

		imagefilledrectangle ( $down_img, 0, 16, 0, 31, $color_clear );

		ImagePng ( $up_img, $background );

		chmod ( $background, 0775 );
		
		$background = $GLOBALS["path_thumbs"].str_replace ( "#", "block_down_", $root_color ).".jpg";

		ImagePng ( $down_img, $background );

		chmod ( $background, 0775 );

		// ------------------------------------------------------------------
		
		$background = $GLOBALS["path_thumbs"].str_replace ( "#", "block_clear_up_", $root_color ).".jpg";

		$height = 32;

		$up_img = ImageCreateTrueColor ( 1, $height );
		
		$down_img = ImageCreateTrueColor ( 1, $height );
		
		$r = $rgb["r"] + 80; $g = $rgb["g"] + 80; $b = $rgb["b"] + 80;

		if ( $r < 0 ) $r = 0;

		if ( $g < 0 ) $g = 0;

		if ( $b < 0 ) $b = 0;

		$color_dark = ImageColorAllocate ( $dst_img, $r, $g, $b );
		
		$r = $rgb["r"] + 90; $g = $rgb["g"] + 90; $b = $rgb["b"] + 90;

		if ( $r < 0 ) $r = 0;

		if ( $g < 0 ) $g = 0;

		if ( $b < 0 ) $b = 0;

		$color_clear = ImageColorAllocate ( $dst_img, $r, $g, $b );
		
		imagefilledrectangle ( $up_img, 0, 0, 0, 16, $color_clear );
			
		imagefilledrectangle ( $up_img, 0, 16, 0, 31, $color_dark );
		
		imagefilledrectangle ( $down_img, 0, 0, 0, 16, $color_dark );

		imagefilledrectangle ( $down_img, 0, 16, 0, 31, $color_clear );

		ImagePng ( $up_img, $background );

		chmod ( $background, 0775 );

		$background = $GLOBALS["path_thumbs"].str_replace ( "#", "block_clear_down_", $root_color ).".jpg";

		ImagePng ( $down_img, $background );

		chmod ( $background, 0775 );
		
		// ------------------------------------------------------------------
		
		$distance = 8;

		$r = $rgb["r"]; $g = $rgb["g"]; $b = $rgb["b"];

		$dst_img = ImageCreateTrueColor ( 4, 6 );

		$color = ImageColorAllocate ( $dst_img, $r, $g, $b );

		imagefilledrectangle ( $dst_img, 0, 0, 4, 6, $color );

		$r_dark = ( $r > $distance ) ? $r + $distance : 0;
		
		$g_dark = ( $g > $distance ) ? $g + $distance : 0;
		
		$b_dark = ( $b > $distance ) ? $b + $distance : 0;

		$color = ImageColorAllocate ( $dst_img, $r_dark, $g_dark, $b_dark );

		// ------------------------------------------------------------------
		/*
		$background = $GLOBALS["path_thumbs"].str_replace ( "#", "glass_", $root_color ).".jpg";

		$height = 50;

		$dst_img = imagecreatetruecolor ( 1, $height );

		$r = $rgb["r"] + 96; $g = $rgb["g"] + 96; $b = $rgb["b"] + 96;

		$distance = 96;
		
		$grad = $distance / ( $height );
		
		$a = 128;

		for ( $i = 0; $i < $height; $i++ )
		{
			$r += $grad; if ( $r > 255 ) $r = 255;

			$g += $grad; if ( $g > 255 ) $g = 255;

			$b += $grad; if ( $b > 255 ) $b = 255;

			$color = ImageColorAllocateAlpha ( $dst_img, $r, $g, $b, $a );

			imagefilledrectangle ( $dst_img, 0, $i, 0, $i, $color );
		}

		ImagePng ( $dst_img, $background );

		chmod ( $background, 0775 );
		*/
		// ------------------------------------------------------------------
		
		$corner = $GLOBALS["path_thumbs"]."top_left_".str_replace ( "#", "", $root_color ).".jpg";

		$dst_img = imagecreatefromgif ( $GLOBALS["path_images"]."alfa.gif" );

		/*
			-----xx
			---xxxx
			--xxxxx
			-xxxxxx
			-xxxxxx
		*/

		$color = ImageColorAllocate ( $dst_img, $r_dark, $g_dark, $b_dark );

		imagefilledrectangle ( $dst_img, 5, 0, 6, 0, $color );
		imagefilledrectangle ( $dst_img, 3, 1, 6, 1, $color );
		imagefilledrectangle ( $dst_img, 2, 2, 6, 2, $color );
		imagefilledrectangle ( $dst_img, 1, 3, 6, 3, $color );
		imagefilledrectangle ( $dst_img, 1, 4, 6, 4, $color );

		ImagePng ( $dst_img, $corner );

		chmod ( $corner, 0775 );
		
		$corner = $GLOBALS["path_thumbs"]."top_left_".str_replace ( "#", "", $clearest ).".jpg";
		
		$rgb = hex2rgb ( $clearest );
		
		$r = $rgb["r"]; $g = $rgb["g"]; $b = $rgb["b"];
		
		$dst_img = imagecreatefromgif ( $GLOBALS["path_images"]."alfa.gif" );
		
		$color = ImageColorAllocate ( $dst_img, $r, $g, $b );

		imagefilledrectangle ( $dst_img, 5, 0, 6, 0, $color );
		imagefilledrectangle ( $dst_img, 3, 1, 6, 1, $color );
		imagefilledrectangle ( $dst_img, 2, 2, 6, 2, $color );
		imagefilledrectangle ( $dst_img, 1, 3, 6, 3, $color );
		imagefilledrectangle ( $dst_img, 1, 4, 6, 4, $color );

		ImagePng ( $dst_img, $corner );

		chmod ( $corner, 0775 );

		$corner = $GLOBALS["path_thumbs"]."top_left_".str_replace ( "#", "", $dark ).".jpg";
		
		$rgb = hex2rgb ( $dark );
		
		$r = $rgb["r"]; $g = $rgb["g"]; $b = $rgb["b"];
		
		$dst_img = imagecreatefromgif ( $GLOBALS["path_images"]."alfa.gif" );
		
		$color = ImageColorAllocate ( $dst_img, $r, $g, $b );

		imagefilledrectangle ( $dst_img, 5, 0, 6, 0, $color );
		imagefilledrectangle ( $dst_img, 3, 1, 6, 1, $color );
		imagefilledrectangle ( $dst_img, 2, 2, 6, 2, $color );
		imagefilledrectangle ( $dst_img, 1, 3, 6, 3, $color );
		imagefilledrectangle ( $dst_img, 1, 4, 6, 4, $color );

		ImagePng ( $dst_img, $corner );

		chmod ( $corner, 0775 );

		$corner = $GLOBALS["path_thumbs"]."top_left_".str_replace ( "#", "", $deep_dark ).".jpg";
		
		$rgb = hex2rgb ( $deep_dark );
		
		$r = $rgb["r"]; $g = $rgb["g"]; $b = $rgb["b"];
		
		$dst_img = imagecreatefromgif ( $GLOBALS["path_images"]."alfa.gif" );
		
		$color = ImageColorAllocate ( $dst_img, $r, $g, $b );

		imagefilledrectangle ( $dst_img, 5, 0, 6, 0, $color );
		imagefilledrectangle ( $dst_img, 3, 1, 6, 1, $color );
		imagefilledrectangle ( $dst_img, 2, 2, 6, 2, $color );
		imagefilledrectangle ( $dst_img, 1, 3, 6, 3, $color );
		imagefilledrectangle ( $dst_img, 1, 4, 6, 4, $color );

		ImagePng ( $dst_img, $corner );

		chmod ( $corner, 0775 );
		
		// ------------------------------------------------------------------
		
		$corner = $GLOBALS["path_thumbs"]."top_right_".str_replace ( "#", "", $root_color ).".jpg";

		$dst_img = imagecreatefromgif ( $GLOBALS["path_images"]."alfa.gif" );

		/*
			-----xx xx-----
			---xxxx xxxx---
			--xxxxx xxxxx--
			-xxxxxx xxxxxx-
			-xxxxxx xxxxxx-
		*/

		$color = ImageColorAllocate ( $dst_img, $r_dark, $g_dark, $b_dark );

		imagefilledrectangle ( $dst_img, 0, 0, 1, 0, $color );
		imagefilledrectangle ( $dst_img, 0, 1, 3, 1, $color );
		imagefilledrectangle ( $dst_img, 0, 2, 4, 2, $color );
		imagefilledrectangle ( $dst_img, 0, 3, 5, 3, $color );
		imagefilledrectangle ( $dst_img, 0, 4, 5, 4, $color );

		ImagePng ( $dst_img, $corner );

		chmod ( $corner, 0775 );
		
		$corner = $GLOBALS["path_thumbs"]."top_right_".str_replace ( "#", "", $clearest ).".jpg";
		
		$rgb = hex2rgb ( $clearest );
		
		$r = $rgb["r"]; $g = $rgb["g"]; $b = $rgb["b"];
		
		$dst_img = imagecreatefromgif ( $GLOBALS["path_images"]."alfa.gif" );
		
		$color = ImageColorAllocate ( $dst_img, $r, $g, $b );

		imagefilledrectangle ( $dst_img, 0, 0, 1, 0, $color );
		imagefilledrectangle ( $dst_img, 0, 1, 3, 1, $color );
		imagefilledrectangle ( $dst_img, 0, 2, 4, 2, $color );
		imagefilledrectangle ( $dst_img, 0, 3, 5, 3, $color );
		imagefilledrectangle ( $dst_img, 0, 4, 5, 4, $color );

		ImagePng ( $dst_img, $corner );

		chmod ( $corner, 0775 );

		$corner = $GLOBALS["path_thumbs"]."top_right_".str_replace ( "#", "", $dark ).".jpg";
		
		$rgb = hex2rgb ( $dark );
		
		$r = $rgb["r"]; $g = $rgb["g"]; $b = $rgb["b"];
		
		$dst_img = imagecreatefromgif ( $GLOBALS["path_images"]."alfa.gif" );
		
		$color = ImageColorAllocate ( $dst_img, $r, $g, $b );

		imagefilledrectangle ( $dst_img, 0, 0, 1, 0, $color );
		imagefilledrectangle ( $dst_img, 0, 1, 3, 1, $color );
		imagefilledrectangle ( $dst_img, 0, 2, 4, 2, $color );
		imagefilledrectangle ( $dst_img, 0, 3, 5, 3, $color );
		imagefilledrectangle ( $dst_img, 0, 4, 5, 4, $color );

		ImagePng ( $dst_img, $corner );

		chmod ( $corner, 0775 );

		$corner = $GLOBALS["path_thumbs"]."top_right_".str_replace ( "#", "", $deep_dark ).".jpg";
		
		$rgb = hex2rgb ( $deep_dark );
		
		$r = $rgb["r"]; $g = $rgb["g"]; $b = $rgb["b"];
		
		$dst_img = imagecreatefromgif ( $GLOBALS["path_images"]."alfa.gif" );
		
		$color = ImageColorAllocate ( $dst_img, $r, $g, $b );

		imagefilledrectangle ( $dst_img, 0, 0, 1, 0, $color );
		imagefilledrectangle ( $dst_img, 0, 1, 3, 1, $color );
		imagefilledrectangle ( $dst_img, 0, 2, 4, 2, $color );
		imagefilledrectangle ( $dst_img, 0, 3, 5, 3, $color );
		imagefilledrectangle ( $dst_img, 0, 4, 5, 4, $color );

		ImagePng ( $dst_img, $corner );

		chmod ( $corner, 0775 );

		// ------------------------------------------------------------------
		
		$corner = $GLOBALS["path_thumbs"]."bottom_left_".str_replace ( "#", "", $root_color ).".jpg";

		$dst_img = imagecreatefromgif ( $GLOBALS["path_images"]."alfa.gif" );

		/*
			-----xx xx-----
			---xxxx xxxx---
			--xxxxx xxxxx--
			-xxxxxx xxxxxx-
			-xxxxxx xxxxxx-
			
			-xxxxxx
			-xxxxxx
			--xxxxx
			---xxxx
			-----xx
		*/

		$color = ImageColorAllocate ( $dst_img, $r_dark, $g_dark, $b_dark );
		
		imagefilledrectangle ( $dst_img, 1, 0, 7, 0, $color );
		imagefilledrectangle ( $dst_img, 1, 1, 7, 1, $color );
		imagefilledrectangle ( $dst_img, 2, 2, 7, 2, $color );
		imagefilledrectangle ( $dst_img, 3, 3, 7, 3, $color );
		imagefilledrectangle ( $dst_img, 5, 4, 7, 4, $color );

		ImagePng ( $dst_img, $corner );

		chmod ( $corner, 0775 );
		
		$corner = $GLOBALS["path_thumbs"]."bottom_left_".str_replace ( "#", "", $clearest ).".jpg";
		
		$rgb = hex2rgb ( $clearest );
		
		$r = $rgb["r"]; $g = $rgb["g"]; $b = $rgb["b"];

		$dst_img = imagecreatefromgif ( $GLOBALS["path_images"]."alfa.gif" );
		
		$color = ImageColorAllocate ( $dst_img, $r, $g, $b );

		imagefilledrectangle ( $dst_img, 1, 0, 7, 0, $color );
		imagefilledrectangle ( $dst_img, 1, 1, 7, 1, $color );
		imagefilledrectangle ( $dst_img, 2, 2, 7, 2, $color );
		imagefilledrectangle ( $dst_img, 3, 3, 7, 3, $color );
		imagefilledrectangle ( $dst_img, 5, 4, 7, 4, $color );

		ImagePng ( $dst_img, $corner );

		chmod ( $corner, 0775 );

		$corner = $GLOBALS["path_thumbs"]."bottom_left_".str_replace ( "#", "", $dark ).".jpg";
		
		$rgb = hex2rgb ( $dark );
		
		$r = $rgb["r"]; $g = $rgb["g"]; $b = $rgb["b"];

		$dst_img = imagecreatefromgif ( $GLOBALS["path_images"]."alfa.gif" );
		
		$color = ImageColorAllocate ( $dst_img, $r, $g, $b );

		imagefilledrectangle ( $dst_img, 1, 0, 7, 0, $color );
		imagefilledrectangle ( $dst_img, 1, 1, 7, 1, $color );
		imagefilledrectangle ( $dst_img, 2, 2, 7, 2, $color );
		imagefilledrectangle ( $dst_img, 3, 3, 7, 3, $color );
		imagefilledrectangle ( $dst_img, 5, 4, 7, 4, $color );

		ImagePng ( $dst_img, $corner );

		chmod ( $corner, 0775 );

		// ------------------------------------------------------------------
		
		$corner = $GLOBALS["path_thumbs"]."bottom_right_".str_replace ( "#", "", $root_color ).".jpg";

		$dst_img = imagecreatefromgif ( $GLOBALS["path_images"]."alfa.gif" );

		/*
			-----xx xx-----
			---xxxx xxxx---
			--xxxxx xxxxx--
			-xxxxxx xxxxxx-
			-xxxxxx xxxxxx-
			
			-xxxxxx xxxxxx-
			-xxxxxx xxxxxx-
			--xxxxx xxxxx--
			---xxxx xxxx---
			-----xx xx-----
		*/

		$color = ImageColorAllocate ( $dst_img, $r_dark, $g_dark, $b_dark );

		imagefilledrectangle ( $dst_img, 0, 0, 5, 0, $color );
		imagefilledrectangle ( $dst_img, 0, 1, 5, 1, $color );
		imagefilledrectangle ( $dst_img, 0, 2, 4, 2, $color );
		imagefilledrectangle ( $dst_img, 0, 3, 3, 3, $color );
		imagefilledrectangle ( $dst_img, 0, 4, 1, 4, $color );

		ImagePng ( $dst_img, $corner );

		chmod ( $corner, 0775 );
		
		$corner = $GLOBALS["path_thumbs"]."bottom_right_".str_replace ( "#", "", $clearest ).".jpg";
		
		$rgb = hex2rgb ( $clearest );
		
		$r = $rgb["r"]; $g = $rgb["g"]; $b = $rgb["b"];
		
		$dst_img = imagecreatefromgif ( $GLOBALS["path_images"]."alfa.gif" );
		
		$color = ImageColorAllocate ( $dst_img, $r, $g, $b );

		imagefilledrectangle ( $dst_img, 0, 0, 5, 0, $color );
		imagefilledrectangle ( $dst_img, 0, 1, 5, 1, $color );
		imagefilledrectangle ( $dst_img, 0, 2, 4, 2, $color );
		imagefilledrectangle ( $dst_img, 0, 3, 3, 3, $color );
		imagefilledrectangle ( $dst_img, 0, 4, 1, 4, $color );

		ImagePng ( $dst_img, $corner );

		chmod ( $corner, 0775 );
		
		$corner = $GLOBALS["path_thumbs"]."bottom_right_".str_replace ( "#", "", $dark ).".jpg";
		
		$rgb = hex2rgb ( $dark );
		
		$r = $rgb["r"]; $g = $rgb["g"]; $b = $rgb["b"];
		
		$dst_img = imagecreatefromgif ( $GLOBALS["path_images"]."alfa.gif" );
		
		$color = ImageColorAllocate ( $dst_img, $r, $g, $b );

		imagefilledrectangle ( $dst_img, 0, 0, 5, 0, $color );
		imagefilledrectangle ( $dst_img, 0, 1, 5, 1, $color );
		imagefilledrectangle ( $dst_img, 0, 2, 4, 2, $color );
		imagefilledrectangle ( $dst_img, 0, 3, 3, 3, $color );
		imagefilledrectangle ( $dst_img, 0, 4, 1, 4, $color );

		ImagePng ( $dst_img, $corner );

		chmod ( $corner, 0775 );

		// ------------------------------------------------------------------
	}
	
?>