<?

/*

 	Webmedia Explorer 5.0 - Multimedia Management System
 	Copyright (C) 2007 Marc Salmurri (marc.salmurri@gmail.com)

 	This program is free software; you can redistribute it and/or modify
 	it under the terms of the GNU General Public License as published by
 	the Free Software Foundation; either version 2 of the License, or (at
 	your option) any later version.

 	This program is distributed in the hope that it will be useful, but
 	WITHOUT ANY WARRANTY; without even the implied warranty of
 	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 	General Public License for more details.

 	You should have received a copy of the GNU General Public License
 	along with this program; if not, write to the Free Software
 	Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA  02110-1301, USA.

*/

	include ( $path_include."xdoc.class.php" );

	class rss
	{
		var $xml_str = false;
		var $xdoc;
		var $source;

		var $encoding = "";

		function rss ( $url )
		{
			$url = urldecode ( $url );

			$this->source = $url;

			$this->xml_str = http_get ( $url );

			if ( eregi ( "iso-8859-1", $this->xml_str ) ) $this->encoding = "iso-8859-1";

			if ( eregi ( "UTF-8", $this->xml_str ) ) $this->encoding = "utf8";

			$this->xml_str = eregi_replace ( ">(\t|\r|\n)+<", "> <", $this->xml_str );

			$this->xml_str = eregi_replace ( ">(\t|\r|\n| )+", "> ", $this->xml_str );			

			$this->xml_str = eregi_replace ( "(\t|\r|\n| )+<", " <", $this->xml_str );

			$this->xdoc = new xdoc ( $this->xml_str, $this->encoding );
		}

		function render ( $template )
		{
			$this->xdoc->meta["source"] 	= $this->source;
			$this->xdoc->meta["encoding"] 	= $this->encoding;

			$this->xdoc->meta["lang"] 		= $GLOBALS["lang"];

			$this->xdoc->render ( $GLOBALS["path_template"].$template );
		}
	}

?>